package com.jsowell.pile.dto;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

@Getter
@Setter
public class PileReservationDTO {
    /**
     * 会员id
     */
    private String memberId;

    /**
     * 预约id
     */
    private String reservedId;

    /**
     * 状态 （0-停用；1-启用）
     */
    private String status;

    /**
     * 桩编号
     */
    private String pileSn;

    /**
     * 开始时间 hh:mm:ss
     */
    private String startTime;

    /**
     * 结束时间 hh:mm:ss
     */
    private String endTime;

    private Integer pageNo;

    private Integer pageSize;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("memberId", memberId)
                .append("reservedId", reservedId)
                .append("status", status)
                .append("pileSn", pileSn)
                .append("startTime", startTime)
                .append("endTime", endTime)
                .append("pageNo", pageNo)
                .append("pageSize", pageSize)
                .toString();
    }
}
